#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:		colord-kde
Version: 24.12.0
Release:	%mkrel %{rel}
Summary:	Interfaces and session daemon to colord for Plasma
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://invent.kde.org/graphics/colord-kde
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6ItemModels)

BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(lcms2)

# colord is a dbus daemon
Requires:	colord
Requires:	systemsettings

%description
Interfaces and session daemon to colord for Plasma.


%files -f %{name}.lang
%doc MAINTAINERS TODO
%license COPYING
%{_kf6_bindir}/colord-kde-icc-importer
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_colord.so
%{_kf6_plugindir}/kded/colord.so
%{_kf6_applicationsdir}/colordkdeiccimporter.desktop
%{_kf6_applicationsdir}/kcm_colord.desktop

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123716
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116273
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113963
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105462
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097321
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087524
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085009
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073128
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069719
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058528
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045075
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037573
- New version 24.01.95

* Wed Jan 10 2024 daviddavid <daviddavid> 24.01.90-1.mga10
+ Revision: 2029500
- New version 24.01.90
- switch to Qt6/KF6
+ neoclust <neoclust>
- New version 24.01.85
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989527
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958843
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946416
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941706
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923032
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913296
- New version 22.12 RC (says hello colord-kde to release-service stack)

* Wed Feb 16 2022 danf <danf> 0.5.0-5.mga9
+ Revision: 1776394
+ rebuild (emptylog)

* Wed Dec 16 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1658268
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5.0-4.mga8
+ Revision: 1524423
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.5.0-3.mga7
+ Revision: 1381461
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1296705
- Mageia 7 Mass Rebuild

* Fri Oct 21 2016 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 1062916
- new version: 0.5.0
- update URL

* Mon Sep 19 2016 neoclust <neoclust> 0.4.0-0.git20160908.2.mga6
+ Revision: 1054507
- Rebuild for ARM

* Thu Sep 15 2016 daviddavid <daviddavid> 0.4.0-0.git20160908.1.mga6
+ Revision: 1053035
- new version: 0.4.0-git20160908
  * commit: 41686290dd10f66d30d337e2fe52fa1f5af6f47c
- update URL
- update summary and description

* Tue Jan 26 2016 daviddavid <daviddavid> 0.4.0-0.git20151105.1.mga6
+ Revision: 927847
- new version: 0.4.0-git20151105
  * update to a git snapshot based on KF5
  * commit: 630c08dec18eb15fc281ea2ce103d50285e8d5ed
- switch build to Qt5/kf5
- update Source URL

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 740583
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 693662
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 678482
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 525711
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 mikala <mikala> 0.3.0-1.mga4
+ Revision: 434205
- Update tarball to 0.3.0
- Fix Source url
- imported package colord-kde

